# Get a list of scan's vulnerability types

Retrieve a list of vulnerability types registered in a scan.

Endpoint: GET /api/v2/scans/{scanId}/vulnerability-types
Version: 24.9.2.5
Security: ApiKeyAuth, Bearer

## Path parameters:

  - `scanId` (string, required)
    ID of the scan for which to get vulnerability types

## Response 200 fields (application/json):

  - `capec` (object)

  - `capec.id` (string)

  - `capec.title` (string)

  - `capec.url` (string)

  - `commonId` (string)

  - `cwe` (object)

  - `cwe.id` (string)

  - `cwe.title` (string)

  - `cwe.url` (string)

  - `description` (string)

  - `engineId` (integer)

  - `hipaa` (object)

  - `hipaa.control` (string)

  - `hipaa.title` (string)

  - `hitrust` (object)

  - `hitrust.control` (string)

  - `hitrust.title` (string)

  - `id` (integer)

  - `language` (string)

  - `name` (string)

  - `nist` (object)

  - `nist.control` (string)

  - `nist.priority` (string)

  - `nist.title` (string)

  - `nist.url` (string)

  - `order` (integer)

  - `owasp` (object)

  - `owasp.index` (string)

  - `owasp.title` (string)

  - `owasp.url` (string)

  - `owasp2021` (object)

  - `owasp2021.index` (string)

  - `owasp2021.title` (string)

  - `owasp2021.url` (string)

  - `pcidss` (object)

  - `pcidss.section` (string)

  - `pcidss.title` (string)

  - `recommendations` (array)

  - `references` (array)

  - `sansTop25` (object)

  - `sansTop25.rank` (integer)

  - `sansTop25.title` (string)

  - `sarif` (string)

  - `sarifLevel` (string)

  - `severity` (string)

  - `severityRating` (number)

## Response 400 fields (application/json):

  - `message` (string)
    Example: "Something went wrong"

  - `result` (string)
    Example: "error"

  - `success` (boolean)

## Response 403 fields (application/json):

  - `message` (string)
    Example: "Something went wrong"

  - `result` (string)
    Example: "error"

  - `success` (boolean)

## Response 404 fields (application/json):

  - `message` (string)
    Example: "Something went wrong"

  - `result` (string)
    Example: "error"

  - `success` (boolean)


